libpolymake3.2_3.2r4-4_i386.deb


Advertisement

Description

libpolymake3.2 - Tool for algorithmic discrete geometry -- library package

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpolymake3.2_3.2r4-4_i386.deb
Package name libpolymake3.2
Package version 3.2r4
Package release 4
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.polymake.org/
License -
Maintainer David Bremner <bremner@debian.org>
Download size 313.18 KB
Installed size 1.08 MB
Polymake started out as a tool for the algorithmic treatment of convex
polyhedra. By now it also deals with finite simplicial complexes,
tight spans of finite metric spaces, polyhedral surfaces, and other
discrete mathematical objects.
This package contains shared libraries.

Alternatives

Package Version Architecture Repository
libpolymake3.2_3.2r4-4_amd64.deb 3.2r4 amd64 Debian Main
libpolymake3.2 - - -

Requires

Name Value
libc6 >= 2.28
libgcc1 >= 1:3.0
libgmp10 -
libmpfr6 >= 3.1.3
libperl5.28 >= 5.28.0
libstdc++6 >= 5.2
libxml2 >= 2.7.4
polymake-common = 3.2r4-4

Provides

Name Value
libpolymake -

Conflicts

Name Value
libpolymake -

Replaces

Name Value
polymake << 3.2

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpolymake3.2_3.2r4-4_i386.deb
Source Package polymake

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpolymake3.2 deb package:
    # sudo apt-get install libpolymake3.2

Files

Path
/usr/lib/libpolymake.so.3.2
/usr/lib/polymake/lib/libpolymake-apps-rt.so.3.2
/usr/lib/polymake/lib/libpolymake-apps.so.3.2
/usr/share/doc/libpolymake3.2/changelog.Debian.gz
/usr/share/doc/libpolymake3.2/changelog.gz
/usr/share/doc/libpolymake3.2/copyright
/usr/share/lintian/overrides/libpolymake3.2

Changelog

2019-01-14 - David Bremner <bremner@debian.org>
polymake (3.2r4-4) unstable; urgency=medium
* Upload to unstable
2019-01-09 - David Bremner <bremner@debian.org>
polymake (3.2r4-3) experimental; urgency=medium
* Re-build against the unified arithmetic lrslib
2018-11-27 - David Bremner <bremner@debian.org>
polymake (3.2r4-2) unstable; urgency=medium
* re-enable all arches. "architecture mismatch makes libpolymake-dev
uninstallable", thanks to Jeremy Bicha (Closes: #914845).
2018-11-26 - David Bremner <bremner@debian.org>
polymake (3.2r4-1) unstable; urgency=medium
* New upstream release.
* install polymake-config manpage again (missing in 3.2r2-1, -2)
* Bug fix: "[polymake] FTBFS with boost1.67", thanks to Giovanni
Mascellani (Closes: #911949).
* Bug fix: "polymake FTBFS: test failure", thanks to Adrian Bunk
(Closes: #912174).
* Add runtime dependency on sensible-utils, to use "sensible-browser"
2018-02-27 - David Bremner <bremner@debian.org>
polymake (3.2r2-2) unstable; urgency=medium
* Disable one test output check in i386; needs some smarter definition
of floating point equality.
* Use "-g1" for minimal debug symbols are armhf, mips, mipsel. Attempt to avoid OOM on buildds.
2018-02-25 - David Bremner <bremner@debian.org>
polymake (3.2r2-1) unstable; urgency=medium
[ Benjamin Lorenz ]
* update to 3.2
* activate callable library
* enable ppl interface again
* enable libsingular interface
[ David Bremner ]
* Enable test suite
* Split  into common, dev, and library packages
2017-08-15 - David Bremner <bremner@debian.org>
polymake (3.1-5) unstable; urgency=medium
* Bug fix: "polymake FTBFS with gcc 7", thanks to Adrian Bunk (Closes:
#871929).
* Disable "no-format" in config.pl; fix clash with hardening flags
2017-07-04 - David Bremner <bremner@debian.org>
polymake (3.1-4) unstable; urgency=medium
* bump debhelper compat level to 10
* Assert compliance with policy 4.0.0
* update Vcs-git header to use https
* rebuild against liblrsgmp1
2017-06-25 - David Bremner <bremner@debian.org>
polymake (3.1-3) unstable; urgency=medium
* rebuild for unstable
2017-06-12 - David Bremner <bremner@debian.org>
polymake (3.1-2) experimental; urgency=medium
* disable -march=native

See Also

Package Description
libpolyml-dev_5.7.1-2_i386.deb development files for Poly/ML, a compiler for Standard ML
libpolyml9_5.7.1-2_i386.deb runtime files for Poly/ML, a compiler for Standard ML
libpomegranate-clojure_1.1.0+really-2_all.deb dependency resolution and repository handling library for Clojure
libpomp-dev_1.1+dfsg-7_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp0_1.1+dfsg-7_i386.deb OpenMP Pragma And Region Instrumentor - shared library
libpomp2-dev_2.0.4-1_i386.deb OpenMP Pragma And Region Instrumentor - development files
libpomp2-doc_2.0.4-1_all.deb OpenMP Pragma And Region Instrumentor - documentation
libpoppler-cil-dev_0.0.3-4_all.deb PDF rendering library -- CLI development files
libpoppler-cil_0.0.3-4_all.deb PDF rendering library -- CLI bindings
libpoppler-cpp-dev_0.71.0-5_i386.deb PDF rendering library -- development files (CPP interface)
libpoppler-cpp0v5_0.71.0-5_i386.deb PDF rendering library (CPP shared library)
libpoppler-dev_0.71.0-5_i386.deb PDF rendering library -- development files
libpoppler-glib-dev_0.71.0-5_i386.deb PDF rendering library -- development files (GLib interface)
libpoppler-glib-doc_0.71.0-5_all.deb PDF rendering library -- documentation for the GLib interface
libpoppler-glib8_0.71.0-5_i386.deb PDF rendering library (GLib-based shared library)
Advertisement
Advertisement